=== debian/control ===
Source: ros-noetic-moveit-calibration-plugins
Section: misc
Priority: optional
Maintainer: Yu Yan <yu.yan@intel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libjsoncpp-dev, ros-noetic-catkin, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rosunit, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-calibration-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjsoncpp-dev, ros-noetic-baldor, ros-noetic-criutils, ros-noetic-handeye, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs
Description: Plugins of MoveIt calibration
